/*******************************************************************************
 * Copyright (c) 2010- Association for Decentralized Information Management in
 * Industry THTH ry.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *    VTT Technical Research Centre of Finland - initial API and implementation
 *******************************************************************************/
package org.simantics.databoard.accessor.emit;

import java.util.Collection;
import java.util.Collections;

import org.simantics.databoard.accessor.Accessor.Listener;
import org.simantics.databoard.accessor.event.Event;

/**
 * Emitter that handles events immediately in the same thread. 
 *
 * @author Toni Kalajainen <toni.kalajainen@vtt.fi>
 */
public class ImmediateEmitter implements EventEmitter {
	
	public static final ImmediateEmitter INSTANCE = new ImmediateEmitter();

	@Override
	public void emitEvent(Listener listener, Event event) {
		listener.onEvents( Collections.singleton( event ) );
	}

	@Override
	public void emitEvents(Listener listener, Collection<Event> events) {
		listener.onEvents( events );
	}

}

