/*******************************************************************************
 *  Copyright (c) 2010 Association for Decentralized Information Management in
 *  Industry THTH ry.
 *  All rights reserved. This program and the accompanying materials
 *  are made available under the terms of the Eclipse Public License v1.0
 *  which accompanies this distribution, and is available at
 *  http://www.eclipse.org/legal/epl-v10.html
 *
 *  Contributors:
 *      VTT Technical Research Centre of Finland - initial API and implementation
 *******************************************************************************/
package org.simantics.databoard.units.internal.deprecated;


public class UnitPart {

	String baseUnit;
	int exponent;
	Magnitude magnitude;
	
	public UnitPart(String baseUnit, Magnitude magnitude, int exponent) {
		this.baseUnit = baseUnit;
		this.magnitude = magnitude;
		this.exponent = exponent;
	}

	@Override
	public String toString() {
		StringBuilder b = new StringBuilder();
		toString(b);
		return b.toString();
	}
	
	public void toString(StringBuilder b) {
		b.append(magnitude.symbol);
		b.append(baseUnit);
		if(exponent != 1)
			b.append(Integer.toString(exponent));
	}
		
}
